%define	module	Catalyst-Engine-Apache
%define	name	perl-%{module}
%define	modprefix Catalyst

%define version 1.11
%define release %mkrel 1
%define _requires_exceptions perl(A


Summary:	Catalyst Apache Engines
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/%{modprefix}/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:	perl(Catalyst)
Requires:	apache-mod_perl
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This package contains mod_perl handlers for Catalyst.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%{__rm} -rf %{buildroot}
%makeinstall_std

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorlib}/%{modprefix}
%{_mandir}/man3/*





%changelog
* Tue Aug 28 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.11-1mdv2008.0
+ Revision: 72802
- new version

* Sun Apr 29 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1.09-1mdv2008.0
+ Revision: 19291
-New version


* Tue Aug 08 2006 Scott Karns <scottk@mandriva.org>
+ 2006-08-08 01:39:58 (54283)
- Rebuild, spec file cleanup

* Tue Aug 08 2006 Scott Karns <scottk@mandriva.org>
+ 2006-08-08 01:35:44 (54279)
- import perl-Catalyst-Engine-Apache-1.07-2mdk

* Thu May 04 2006 Scott Karns <scottk@mandriva.org> 1.07-2mdk
- Adjusted BuildRequires

* Fri Mar 10 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.07-1mdk
- 1.07

* Tue Feb 14 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.06-1mdk
- 1.06

* Tue Jan 03 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.05-1mdk
- 1.05

* Tue Dec 20 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.03-1mdk
- 1.03
- Adjust requires and build-requires

* Sat Dec 03 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.00-1mdk
- Initial MDV package

